// Persistence of Vision Ray Tracer Scene: Fichier de description
// Fichier: Bouteille.inc
// Version: 3.1b
// Description: fichier de EauForte.pov
// Date:
// Auteur:

//BOUTEILLE TEXTURE
#declare BouteilleTex=texture {
                        pigment { color <0.8,0.8,1,0.8> }
                        finish  { ambient 0.1 diffuse 0.6 reflection 0.01 }
                        }
#declare EtiquetteTex= texture{
                         pigment {
                            image_map {
                                gif "eaupov.gif"
                                map_type 2
                                interpolate 2
                                once
                                 }
                            rotate y*-90
                            }
                        finish { ambient 0.6 diffuse 0.6 }
                          }

//BOUTEILLE FORME
#declare Tr1   = cylinder { <0,0,0>,<0,1,0>,3 hollow }
#declare B1    = torus { 3-0.5,0.5
                        clipped_by  { box { <-4,-3.5,-4>,<4,0,4> } }
                          hollow}
#declare B2    = cylinder { <0,0,0>,<0,0.5,0>,3 open hollow }
#declare B3    = torus { 3-0.5,0.5
                        clipped_by  { box { <-4,0,-4>,<4,4,4> } }
                         hollow
                         }
#declare Base3 =   object {B1 }
#declare An1   =   merge {object { B1 } object {B2 } object { B3 translate y*0.2 } hollow }
#declare Fd1   =   sphere { 0,2 scale <1,0.3,1>
                        clipped_by { box { <-4,0,-4>,<4,4,4> } }
                        scale <1,1.2,1>
                         hollow
                         }
#declare Fd2  =  merge { object   { Tr1  } object { B3 translate y*1} hollow }
#declare Fond =  merge { object   { Base3 } object { Fd1} object {Fd2}}
#declare G1   =  merge { object   { B1} cone {<0,0.0,0>,3.,<0,3,0>,0.8 open }  hollow }
#declare G2   =  merge { cylinder { 0,<0,1,0>,0.8 open }  torus { 0.8,0.2 translate y*0.9 } hollow}
#declare Etiq =  cylinder { <0,0,0>,<0,1,0>,3.01 open
                              texture { EtiquetteTex }
                              scale <1,3,1>
                               hollow }

// BOUTEILLE
#declare BOUTEILLE=
merge {
 object { Fond  translate y*-0 }
 object { An1   translate y*1.8}
 object { An1   translate y*2.8}
 object { An1   translate y*3.8}
 object { An1   translate y*4.8}
 object { An1   translate y*5.8}
 object { An1   translate y*6.8}
 object { An1   translate y*7.8}
 object { An1   translate y*8.8}
 object { An1   translate y*9.8}
 object { An1   translate y*10.8}
 object { An1   translate y*11.8}
 object { An1   translate y*12.8}
 object { G1    translate y*13.3}
 object { G2    translate y*16.2}
 object { Etiq  translate y*9.5}
texture { BouteilleTex }
interior { ior 1.33 }
scale 0.8
rotate <-0,0,0>
}

